Tuesday, August 23, 2016

Smart View prompts user to upgrade when connecting to HFM provider

Ran into this issue a little while back and with HFM 11.1.2.4 it was a little tricky to figure out, so I thought it was worth posting.

Problem
Smartview users get a pop-up when connecting to HFM provider that there is a newer version of Smartview and for them to upgrade.
Many of our customers have stated they do not want users upgrading Smartview versions with each update and do not want Smartview to prompt them to do so.

Solution
The solution to this can be found in Oracle Knowledge Document 1993603.1

Please make sure you have a backup of your system before making any changes.
As these options are now removed from the EPM configurator, the following steps can be followed to turn off the warning messages.
 1. Log On to the shared services console.
 2. Expand Application Groups>Foundation>Deployment Metadata
 3. Financial Management> LWA-hfmadf
 4. Select> Properties > right click
5. Export export to some local drive and edit the file Component.properties
                  ForceClientUpgrade=true -----Change to false
                  WarnIfClientIsNewer=true ------change to false
 5. Save the file
 6. Financial Management> LWA-hfmadf
 7. Select> Properties > right click import
 8. Restart HFM services for the change to take effect.


*Please note that this solution is for HFM Smartview provider. Users getting this pop-up when connecting to other products require a different approach such as updating APS settings for Essbase provider.

1 comment:

Srinu Vasu said...

Nice tutorial. The hyperion tutorial was help ful for me. Keep Sharing Tutorials.